UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lbm_src_send_ex_info_t_stct Struct Reference

Structure that holds information for the extended send calls. More...

`#include <lbm.h>`

## Data Fields
int | flags
| Bitmap indicating which of other fields in the structure are used. Zero or more flag bits ORed together: LBM_SRC_SEND_EX_FLAG_* (i.e. LBM_SRC_SEND_EX_FLAG_UME_CLIENTD, LBM_SRC_SEND_EX_FLAG_UMQ_CLIENTD, LBM_SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO, LBM_SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY, LBM_SRC_SEND_EX_FLAG_APPHDR_CHAIN, LBM_SRC_SEND_EX_FLAG_UMQ_MESSAGE_ID_INFO, LBM_SRC_SEND_EX_FLAG_CHANNEL, LBM_SRC_SEND_EX_FLAG_UMQ_INDEX, LBM_SRC_SEND_EX_FLAG_UMQ_TOTAL_LIFETIME, LBM_SRC_SEND_EX_FLAG_HF_OPTIONAL, LBM_SRC_SEND_EX_FLAG_PROPERTIES, LBM_SRC_SEND_EX_FLAG_HF_32, LBM_SRC_SEND_EX_FLAG_HF_64)
void * | ume_msg_clientd
| client data pointer to be passed back in source events for stability and confirmations. Set LBM_SRC_SEND_EX_FLAG_UME_CLIENTD in flags.
lbm_src_channel_info_t * | channel_info
| pointer to information used to send messages on a channel. Set LBM_SRC_SEND_EX_FLAG_CHANNEL in flags.
lbm_apphdr_chain_t * | apphdr_chain
| pointer to information used to send messages using app header chains. Set LBM_SRC_SEND_EX_FLAG_APPHDR_CHAIN in flags.
lbm_umq_index_info_t * | umq_index
| pointer to information used to send messages and associate them with a given UMQ index. Set LBM_SRC_SEND_EX_FLAG_UMQ_INDEX in flags.
lbm_umq_msg_total_lifetime_info_t * | umq_total_lifetime
| pointer to information used to specify a message's total lifetime. When supplied, this information overrides the configuration option umq_msg_total_lifetime (context). Set LBM_SRC_SEND_EX_FLAG_UMQ_TOTAL_LIFETIME in flags.
lbm_msg_properties_t * | properties
| pointer to a message properties structure. Set LBM_SRC_SEND_EX_FLAG_PROPERTIES in flags. See lbm_msg_properties_create() and Message Properties.
lbm_hf_sequence_number_t | hf_sqn
| The hot failover sequence number to send. Only valid for hot failover extended send API, like lbm_hf_src_send_ex(). Set LBM_SRC_SEND_EX_FLAG_HF_32 or LBM_SRC_SEND_EX_FLAG_HF_64 in flags.
lbm_async_operation_func_t * | async_opfunc
| DEPRECATED, do not use. More...

## Detailed Description

Structure that holds information for the extended send calls.

See lbm_src_send_ex_info_t_stct for field definitions.

See also
  lbm_src_send_ex()

## Field Documentation

lbm_async_operation_func_t* lbm_src_send_ex_info_t_stct::async_opfunc

DEPRECATED, do not use.

Deprecated:
  do not use.

The documentation for this struct was generated from the following file:

- lbm.h